#include "readdir.h"
#include <sys/uio.h>

int
fake_filldir(void * __buf, const char * name, int namlen, off_t offset, ino_t ino){

  struct dirent *dp;
  register struct uio *uio = ((struct fakedirent *)__buf)->f_uio;

  int reclen;
  /*  static int pos; */
  int error = 0 ;

  printf("Entering fake_filldir\n");
  printf("\tfake_filldir %s\n",name);
  /*  Debugger("fake_fildir"); */

  dp = ((struct fakedirent *)__buf)->f_dirent;
  if (!dp){
	panic("fake_filldir no mem\n");
  }
  printf("Fake fill dp %p\n",dp);


  strcpy(dp->d_name, name);
  dp->d_namlen = strlen(name);
  reclen = dp->d_reclen = GENERIC_DIRSIZ(dp);
  dp->d_type = DT_REG;
  dp->d_fileno = ino;

  /*   reclen = sizeof(struct dirent); */

  error = uiomove((caddr_t) dp, reclen, uio);
  if (error) {
	printf("Exiting gfs_readdir(ERROR)\n");
	goto out;
  }

  uio->uio_offset += reclen;

  printf("fake_dilldir uio_offset: %u reclen: %u\n",uio->uio_offset,reclen); 

#if 0  
  struct linux_dirent * dirent;
  struct getdents_callback * buf = (struct getdents_callback *) __buf;
  int reclen = ROUND_UP(NAME_OFFSET(dirent) + namlen + 1);


  buf->error = -EINVAL;   /* only used if we fail.. */
  if (reclen > buf->count)
	return -EINVAL;
  dirent = buf->previous;
  if (dirent)
	put_user(offset, &dirent->d_off);
  dirent = buf->current_dir;
  buf->previous = dirent;
  put_user(ino, &dirent->d_ino);
  put_user(reclen, &dirent->d_reclen);
  copy_to_user(dirent->d_name, name, namlen);
  put_user(0, dirent->d_name + namlen);
  ((char *) dirent) += reclen;
  buf->current_dir = dirent;
  buf->count -= reclen;
#endif
	printf("Exiting fake_dilldir\n");
	out:
	return error;
}
