#ifndef __SUPER_DOT_H__
#define __SUPER_DOT_H__

#if defined(__linux__)
struct super_block *gfs_read_super(struct super_block *sb, void *, int);
struct super_operations gfs_sops;
#endif

void gfs_clear_out_gla(gfs_sbd_t *sdp);
int gfs_mountbit_find(gfs_sbd_t *sdp);
int gfs_mountbit_value(uint8 *bitmap, unsigned int no);
void gfs_mountbit_set(uint8 *bitmap, unsigned int no, int value);
int sget(gfs_sbd_t *sdp, int silent);
int sput(gfs_sbd_t *sdp);
void clear_out_glock(gfs_glock_t *gl);
#endif  /*  __SUPER_DOT_H__  */
