/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: inode.h
**
*******************************************************************************
******************************************************************************/

#ifndef __INODE_DOT_H__
#define __INODE_DOT_H__

struct inode_operations gfs_file_iops;
struct inode_operations gfs_dir_iops;
struct inode_operations gfs_symlink_iops;

void gfs_inode_attr_in(gfs_inode_t *ip);
void gfs_inode_attr_out(gfs_inode_t *ip);

int gfs_irevalidate(struct dentry *dentry);

#endif  /*  __INODE_DOT_H__  */

