/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: bits.h
**
*******************************************************************************
******************************************************************************/

#ifndef __BITS_DOT_H__
#define __BITS_DOT_H__

#include "blklist.h"

#define	BFITNOENT	((uint64)(-1))

void gfs_set_bits(char *buffer, uint buflen, uint64 no, uint len, int dinode);
int gfs_clr_bits(char *buffer, uint buflen, uint64 no, uint len);

uint64 gfs_bitfit(char *buffer, uint buflen, uint64 goal_blk);
gfs_blklist_t *gfs_firstfit(char *buffer, uint buflen, uint len,
			    uint64 *goal_blk);

#endif  /*  __BITS_DOT_H__  */

