/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: file.h
**
*******************************************************************************
******************************************************************************/

#ifndef __FILE_DOT_H__
#define __FILE_DOT_H__

int64 gfs_readi(gfs_inode_t *ip, void *buf, uint64 offset, uint64 size, int internal);
int64 gfs_writei(gfs_inode_t *ip, const void *buf, uint64 offset, uint64 size, int internal);

int gfs_rgrp_read(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd);
int gfs_rgrp_write(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd);

#endif  /*  __FILE_DOT_H__  */

