/******************************************************************************
*******************************************************************************
**
**    Copyright 1999 Sistina Software, Inc.  <kpreslan@sistina.com>
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: lockops.h
**
*******************************************************************************
******************************************************************************/

#ifndef DLOCK094_LOCKOPS_DOT_H
#define DLOCK094_LOCKOPS_DOT_H

void *dlock094_mount(char *table_name, char *host_data, gfs_callback_t *cb, void *fsdata);
void dlock094_unmount(void *moddata);
int dlock094_lock(void *moddata, uint64 lock, int op, int flags, void **lockdata);
int dlock094_unlock(void *moddata, uint64 lock, int flags, void **lockdata);
void dlock094_release(void *moddata, void **lockdata);

#endif  /*  DLOCK094_LOCKOPS_DOT_H  */

