/******************************************************************************
*
*    Copyright 1999 Regents of the University of Minnesota
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Mike C Tilstra <tilstra@lcse.umn.edu>
* 
*    Module name: dlock_tcp.o
*/
#ifndef __dlip_eraser_H__
#define __dlip_eraser_H__

#include <linux/tqueue.h>

void eraser_queue(struct tq_struct *tq);
int create_eraser(void);
void destroy_eraser(void);

#endif /*__dlip_eraser_H__*/
