/******************************************************************************
*******************************************************************************
**
**global files for gfs_ip
**
*******************************************************************************
******************************************************************************/

#ifndef __GLOBAL_H__
#define __GLOBAL_H__

/* //#include <sgidefs.h> */
#include <sys/types.h>



/* //typedef __uint64_t          uint64; */
typedef   u_int             uint32;
typedef   u_short           uint16;
typedef   u_char            uint8;
/* //typedef __int64_t           int64; */
/* //typedef __int32_t           int32; */
/* //typedef   int16_t           int16;  */
/* //typedef   char              int8; */

#define FIRSTBIT                (1<<0) /*  //0x01 */
#define SECONDBIT               (1<<1) /*  //0x02 */
#define THIRDBIT                (1<<2)/*   //0x04 */
#define FOURTHBIT               (1<<3) /*  //0x08 */
#define FIFTHBIT                (1<<4) /*  //0x10 */
#define SIXTHBIT                (1<<5) /*  //0x20 */
#define SEVENTHBIT              (1<<6) /*  //0x40 */
#define EIGHTHBIT               (1<<7) /*  //0x80 */

#define TIME_QUANTUM            (10)
#define EXPIRE_TIME             (5000)

#define MAX_DRV_USERS           (8)
#define MAX_USERS               (8)
#define MAX_LOCK_HOLDS          (8)
#define DLOCKS_PER_PARTITION    (1024)
#define PALS_PER_SERVER         (8)

#define ACTION_NOP              (0)
#define ACTION_LOCK_S           (1)
#define ACTION_LOCK_E           (2)
#define ACTION_FORCE_LOCK_E     (3)
#define ACTION_TOUCH            (4)
#define ACTION_UNLOCK           (5)
#define ACTION_UNLOCK_I         (6)
#define ACTION_ACTIVITY_ON      (7)
#define ACTION_ACTIVITY_OFF     (8)

#define STATE_UNLOCKED          (0)
#define STATE_LOCKED_S          (1)
#define STATE_LOCKED_E          (2)

#define EXPIRED_NOT             (0)
#define EXPIRED_S               (1)
#define EXPIRED_E               (2)

#define EXCLUSIVE_PENDING       (1)
#define EXCLUSIVE_NOT_PENDING   (0)

#define ACTIVITY_OFF            (0)
#define ACTIVITY_ON             (1)



#ifdef VERBOSE
#define dbprintf(fmt, args...) printf(fmt, ## args)
/* #define dbprintf printf */
#else 
#define dbprintf(fmt, args...)
/* #define dbprintf(fmt, ...)*/ 
#endif




#endif /*__GLOBAL_H__*/
