/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: gfshex.h
**
**    Description:
**	GFS-specific routines supportive of hexedit.
**
*******************************************************************************
******************************************************************************/

#ifndef __GFSHEX_H__
#define __GFSHEX_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Preprocessor Defines */


/* Function Macros */


/* Type Definitions */


/* External Global Variables */


/* Function Prototypes */

int edit_gfs(char *buffer, int extended);
int edit_dinode(char *buffer, int extended);
int edit_rgrp(char *buffer, int extended);
int edit_super(char *buffer, int extended);
int edit_leaf(char *buffer, int extended);

int display_gfs(char *buffer, int extended);
int print_dinode(char *buffer, int extended);
int print_rgrp(char *buffer, int extended);
int print_super(char *buffer, int extended);
int print_leaf(char *buffer, int extended);


#ifdef __cplusplus
}
#endif

#endif /* __GFSHEX_H__ */
